Bug 187394 - Pulling out firewire cable (to ext. DVD burner) makes machine hang
Pulling out firewire cable (to ext. DVD burner) makes machine hang
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
http://www.student.uib.no/~st01806/bi...
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-30 13:08 EST by Kristian Harms
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.6.18-1.2200.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-08 12:25:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kristian Harms 2006-03-30 13:08:12 EST
Description of problem:
I have an external Sony CD/DVD burner (model DRX800UL) which i connect to my
laptop[1] (HP Pavilion ze4417EA) using a firewire cable (four-pin connector on
the machine end), running FC5.  More often than not, when I pull out the
firewire cable, the machine hangs completely.  I first[2] saw this using the
kernel that came with FC5 as shipped, while I was logged into Gnome.  A bit more
investigation reveals that it also happens when I'm not logged in, i.e. both
when gdm is showing and when the console is showing.  The problem also persists
when updating to the newest kernel using yum update.

Getting logs of the crash was a little harder than usual.  There were often some
warnings in the log just before the crash, and these remained in the log when I
rebooted.  But nothing of the crash itself.  However, when I got the machine to
hang when I was in the console, viewing tail -f /var/log/messages, I actually
got to see quite some error messages.  They are photographed here:

When I had just inserted the firewire cable:
http://www.student.uib.no/~st01806/bilder/2006-03-30/dsc01363-besk-800x510.jpg

When I had just pulled out the firewire cable:
http://www.student.uib.no/~st01806/bilder/2006-03-30/dsc01366-besk-800x528.jpg

Waiting a few seconds more yielded further errors:
http://www.student.uib.no/~st01806/bilder/2006-03-30/dsc01369-besk-800x484.jpg

[1] Description of the machine's hardware: 
http://home.no.net/harms/ze4400-linux.php

[2] That is, the first time that I saw it on FC5; I also saw this on FC4 a
couple of times, but did not report it.

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.2054_FC5
kernel-2.6.16-1.2080_FC5


How reproducible:

Often.  (More often than not.)

Steps to Reproduce:
1. Have the external cd/dvd burner plugged in using the Firewire cable (four-pin
connector) and turned on.
2. Pull out the firewire cable of the machine.
3. If the machine still works, repeat go to step 2.
  
Actual results:
Machine freezes.

Expected results:
Machine would continue to work as expected.

Additional info:

About the reproducibility:  It's not "always", but it's not far from it either.
 I may see a slight pattern:  If there has been any "use" of the dvd drive, then
the machine freezes when I pull out the connector.  By "use", I include any kind
of activity that involved the drive, even the act of connecting it in the first
place.
Comment 1 Stefan Richter 2006-04-01 10:04:29 EST
sbp2util_mark_command_completed takes a lock which was already taken by
sbp2scsi_complete_all_commands. This is an upstream kernel driver bug and it is
not specific to i686. Thanks for the report; I will try to come up with a fix.
Comment 2 Stefan Richter 2006-04-01 14:19:15 EST
I posted a patch: http://marc.theaimsgroup.com/?m=114391904218699
I will report back here once this is merged in an upstream kernel.
Comment 3 Stefan Richter 2006-04-02 16:52:02 EDT
Fix is in Linus' tree now.
Comment 4 Stefan Richter 2006-04-07 16:05:42 EDT
Also fixed in kernel.org's Linux 2.6.16.2.
Comment 5 Dave Jones 2006-10-16 13:17:49 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Jarod Wilson 2006-11-08 12:25:29 EST
I'm not able to reproduce the bug after several attempts here. Closing bug based
on comments 3-5, which indicate we picked up this fix some time ago.

Note You need to log in before you can comment on or make changes to this bug.